Skip to main content
GET
/
v1
/
sites
/
{siteId}
/
cost
Energy cost data for a specific site
curl --request GET \
  --url https://api.voltview.co.uk/v1/sites/{siteId}/cost \
  --header 'x-api-key: <api-key>'
{
  "siteId": "<string>",
  "period": "<string>",
  "totalCost": 123,
  "energyCost": 123,
  "standingCharges": 123,
  "data": [
    {
      "timestamp": "2023-11-07T05:31:56Z",
      "cost": 123,
      "consumption": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.voltview.co.uk/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

VoltView API key

Path Parameters

siteId
string
required

Site identifier

Query Parameters

lookback
string

Time period to look back (e.g. 1d, 1w, 1m, 1y for day, week, month, year)

Pattern: ^\d+[dwmy]$
Example:

"1y"

granularity
enum<string>

Data aggregation granularity

Available options:
hour,
day,
month,
year
from
string<date-time>

Start date and time (ISO 8601)

Example:

"2024-01-01T00:00:00.000Z"

to
string<date-time>

End date and time (ISO 8601)

Example:

"2024-12-31T23:59:59.999Z"

Response

Cost data retrieved successfully

siteId
string

Site identifier

period
string

Reporting period

totalCost
number

Total cost in GBP

energyCost
number

Energy cost in GBP

standingCharges
number

Standing charges in GBP

data
object[]